Bug 976431 - nova: nova boot usage is not clear
nova: nova boot usage is not clear
Status: CLOSED WORKSFORME
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity high
: ---
: 4.0
Assigned To: RHOS Maint
Ami Jeain
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 10:35 EDT by Dafna Ron
Modified: 2015-06-04 17:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-25 06:03:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2013-06-20 10:35:51 EDT
Description of problem:

there are a few things that I could not figure out in 'nova boot':

1. if running 'nova boot' without any paranms I would expect to see what are the optional and what are the required params for the command. but this is the output and I am not sure which is required and which is not: 

[root@opens-vdsb log(keystone_admin)]# nova boot 
usage: nova boot [--flavor <flavor>] [--image <image>]
                 [--image-with <key=value>] [--num-instances <number>]
                 [--meta <key=value>] [--file <dst-path=src-path>]
                 [--key-name <key-name>] [--user-data <user-data>]
                 [--availability-zone <availability-zone>]
                 [--security-groups <security-groups>]
                 [--block-device-mapping <dev-name=mapping>]
                 [--hint <key=value>]
                 [--nic <net-id=net-uuid,v4-fixed-ip=ip-addr,port-id=port-uuid>]
                 [--config-drive <value>] [--poll]
                 <name>
error: too few arguments
Try 'nova help boot' for more information.

2. I tried to find --key-name option in both --help and man page and could not find it. also asking around I found that the command actually runs with key_name and not key-name

Version-Release number of selected component (if applicable):

openstack-nova-compute-2013.1.2-2.el6ost.noarch

How reproducible:

1005

Steps to Reproduce:
1. run 'nova boot' 
2.
3.

Actual results:

command is not clear and not all params explanations are in man or --help 

Expected results:

users need to know what params are required and have information in man on other optional params. 

Additional info:
Comment 1 Xavier Queralt 2013-06-25 06:03:16 EDT
All OpenStack clients use the same syntax for getting the help associated to a subcommand or the client itself:

 1. To get help for the a client use: <client> help
 2. To get help for the a subcommand use: <client> help <subcommand>

e.g. In your case you would run 'nova help boot', there you can find a proper explanation with all the parameters needed to boot (including key-name).

Note You need to log in before you can comment on or make changes to this bug.